> ## Documentation Index
> Fetch the complete documentation index at: https://rollfi-monthly-semi-monthly.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# addStateRegistrationForDelaware

> The respective  Code of the State is entered for Verification



## OpenAPI

````yaml post /stateRegistration#addStateRegistrationForDelaware
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /stateRegistration#addStateRegistrationForDelaware:
    post:
      tags: []
      summary: addStateRegistrationForDelaware
      description: The respective  Code of the State is entered for Verification
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: addStateRegistrationForDelaware
                companyId:
                  type: string
                code:
                  type: string
                companyStateRegistration:
                  type: object
                  properties:
                    UC Employer Account Number:
                      type: string
                    Unemployment Rate:
                      type: string
                    Withholding Account Number:
                      type: string
                  required:
                    - UC Employer Account Number
                    - Unemployment Rate
                    - Withholding Account Number
              required:
                - method
                - companyId
                - code
                - companyStateRegistration
            example:
              method: addStateRegistration
              companyId: 962D5035-6F51-41D3-94E8-1BF7A00955CF
              code: DE
              companyStateRegistration:
                UC Employer Account Number: '741258023'
                Unemployment Rate: '2.5'
                Withholding Account Number: '741265586'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                  message:
                    type: string
                required:
                  - status
                  - message
              example:
                status: Success
                message: >-
                  The company state registrations for Lakin LLC have been saved
                  successfully.
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          type: integer
                        message:
                          type: string
                      required:
                        - code
                required:
                  - error
              example:
                error:
                  code: 400
                  message: Invalid companyId
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````